import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:plotter/common/cubit/nav/nav_cubit_pages.dart';

import 'package:plotter/cubit/activity/activity_cubit.dart';

class ApplicationConfig {
  // plotter type
  static const String parameterCodePlotterType = 'plotterType';
  static const String plotterTypeNone = 'none';
  static const String plotterTypeRadial = 'radial';
  static const String plotterTypeAxial = 'axial';

  static final ApplicationConfigDefinition config = ApplicationConfigDefinition(
    appTitle: 'Stepper plotter assistant',
    activitySettings: [
      // plotter type
      ApplicationSettingsParameter(
        code: parameterCodePlotterType,
        values: [
          ApplicationSettingsParameterItemValue(
            value: plotterTypeNone,
            isDefault: true,
          ),
          ApplicationSettingsParameterItemValue(
            value: plotterTypeRadial,
          ),
          ApplicationSettingsParameterItemValue(
            value: plotterTypeAxial,
          ),
        ],
      ),
    ],
    startNewActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).startNewActivity(context);
      BlocProvider.of<NavCubitPage>(context).goToPageHome();
    },
    deleteCurrentActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).deleteSavedActivity();
    },
    resumeActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).resumeSavedActivity();
      BlocProvider.of<NavCubitPage>(context).goToPageHome();
    },
  );
}
